#ifndef PREEDITAREA_H
#define PREEDITAREA_H

#include <qlabel.h>
#include <qstring.h>
#include <qstringlist.h>
#include <qcolor.h>

class PreeditArea : public QLabel {
public:
  PreeditArea();
  ~PreeditArea();

  void showText(const QPoint& p, const QStringList& strlist = QStringList());
  void showInputingString(const QPoint& p, const QString& str = QString());
  void showConvertingPhases(const QPoint& p, const QStringList& strlist = QStringList());
  void showChangingPhaseLength(const QPoint& p, const QStringList& strlist = QStringList());  
  void setFont(const QFont &);
  void hide();

private:
  QLabel*  _otherphases;      // 変換待ちの文字列
  QColor   _normal_fgclr;     // 文字色
  QColor   _normal_bgclr;     // 背景色
  QColor   _attention_fgclr;  // 注目文節の文字色
  QColor   _attention_bgclr;  // 注目文節の背景色
  QColor   _changing_fgcolr;  // 文節長変更中の文字色
  QColor   _changing_bgcolr;  // 文節長変更中の背景色
};

#endif // PREEDITAREA_H

